Page MenuHomePhabricator

revlog: only use the `_indexfp` method for read operation
ClosedPublic

Authored by marmoute on May 3 2021, 7:53 AM.

Details

Summary

This will avoid "other" code to not overlook _writing usage. We introduces
private method dedicated to writing to make use the right option are always
used.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

marmoute created this revision.May 3 2021, 7:53 AM
baymax updated this revision to Diff 27525.May 3 2021, 9:44 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27856.May 11 2021, 1:42 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27982.May 17 2021, 7:02 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.